org.apache.fop.fo.properties

## Class ToBeImplementedProperty

- java.lang.Object
- - org.apache.fop.fo.properties.Property
  - - org.apache.fop.fo.properties.ToBeImplementedProperty

    public class ToBeImplementedProperty
    extends Property

A special property for representing an as yet unimplemented property.

### Nested Class Summary

Nested Classes
`static class` `ToBeImplementedProperty.Maker` A to be implemented property maker instance.

### Field Summary

### Fields inherited from class org.apache.fop.fo.properties.Property

`log`

### Constructor Summary

Constructors
Constructor and Description
`ToBeImplementedProperty(int propId)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`int` `hashCode()`

### Methods inherited from class org.apache.fop.fo.properties.Property

`getCharacter, getColor, getCondLength, getEnum, getKeep, getLength, getLengthPair, getLengthRange, getList, getNCname, getNumber, getNumeric, getObject, getSpace, getSpecifiedValue, getString, isAuto, setSpecifiedValue, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ToBeImplementedProperty

    public ToBeImplementedProperty(int propId)

Constructor

Parameters:
  `propId` - id of Property

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`